package cpcns.dingZhi.renshixiangmu.controller;

package .tmp;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.renshixiangmu.model.renshixiangmu;
import cpcns.dingZhi.renshixiangmu.service.IRenshixiangmuService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"renshixiangmuController"})
public class RenshixiangmuController extends DangAnBaseController {
  @Autowired
  private IRenshixiangmuService renshixiangmuService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dingZhi/renshixiangmu/renshixiangmu_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    renshixiangmu obj = new renshixiangmu();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    model.addAttribute("renshixiangmu", obj);
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    obj.setMenLei(menLei);
    obj.setZhuangTai(Integer.valueOf(1));
    model.addAttribute("renshixiangmu", obj);
    return "dingZhi/renshixiangmu/renshixiangmu_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.renshixiangmuService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "")
        .replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("QUANZONGHAO", "quanZongHao")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("XINGMING", "xingMing").replaceAll("FENLEIHAO", "fenLeiHao")
        .replaceAll("DANGHAO", "dangHao").replaceAll("GUIGE", "guiGe");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, renshixiangmu obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.renshixiangmuService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.renshixiangmuService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.renshixiangmuService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(1));
            this.renshixiangmuService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          this.renshixiangmuService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getAnJuanHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "题名已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      model.addAttribute("quanXian", quanXian);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      renshixiangmu obj = (renshixiangmu)this.renshixiangmuService.getById(renshixiangmu.class, hangBiaoShi);
      model.addAttribute("renshixiangmu", obj);
      this.renshixiangmuService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getAnJuanHao() + "$." + obj.getMenLei(), "查看");
      Integer fenshu = this.tongYongService.queryIsNotFile(hangBiaoShi, this.table);
      model.addAttribute("fenshu", fenshu);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/renshixiangmu/renshixiangmu_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        renshixiangmu rscm = (renshixiangmu)this.renshixiangmuService.getById(renshixiangmu.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.renshixiangmuService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.renshixiangmuService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + rscm.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
